@GP: Version Changer

Want to share what MODs you've gotten to work with EM? Happy about all the time your're saving? Want to say "thanks"? Here's the place.
Forum rules
DO NOT give out any FTP passwords to anyone! There is no reason to do so! If you need help badly enough, create a temporary FTP account that is restricted to only the files that you need help with and give the information for that. Giving out FTP information can be very dangerous!
Locked
User avatar
GPHemsley
Registered User
Posts: 1617
Joined: Fri Apr 18, 2003 4:01 am
Location: Long Beach, NY
Contact:

Re: @GP: Version Changer

Post by GPHemsley » Sat Mar 25, 2006 5:41 pm

Are you sure you put it in the right place? It's supposed to be in, for example, templates/subSilver/admin/mod_emversionchanger.tpl. You must do this for every style that you have installed.

Williams-Jr
Posts: 2
Joined: Wed Jul 26, 2006 6:18 pm

Re: @GP: Version Changer

Post by Williams-Jr » Wed Jul 26, 2006 6:42 pm

i changed the version to different ones other than 0.3.0 and it's still saying it wont let me install the easymod cuz it's already there


why isnt it working?

Nightrider
Registered User
Posts: 7219
Joined: Tue Nov 16, 2004 8:54 pm
Location: Florida, US
Contact:

Re: @GP: Version Changer

Post by Nightrider » Thu Jul 27, 2006 1:51 pm

Williams-Jr, you might get a speedier response if you posted this in the Installing EM forum. Most times, I ignore the General EM Discussions forum...

Apparently you aren't decreasing the EM version. Use something less than 0.3.0; i.e. 0.2.9, 0.2.1, or 0.1.13 will all work fine...

EM Version Change

If you already had EM 0.3.0 installed, then you will need to change the EM Version back so that the install will think that this is an Upgrade. You can use this tool to change your EM Version so that you can reinstall EM on your board:

EM_Version_Changer

Once the EM Version Changer is installed, set the EM version to 0.1.13 or 0.2.0...

EM Version Change (Manual Option)

If you want to manually change the EM version, you can do so in your phpbb_config table. Just look for the record beginning with EM_version. Then you can change the related field to 0.1.13. You could also delete all the records in the phpbb_config table that begin with EM_ and delete the phpbb_easymod table too to have the new install recreate everything...

phpMyAdmin - Manually Changing the EM Version Number

The following is how you manually modify your EM password using phpMyAdmin. You can get into your database through your CPanel by clicking on phpMyAdmin. Follow the following instructions:

I'm sure that every host is different. I will tell you how I run my queries manually and hopefully it will be close to what you have available to you. The following may or may not be similar to what you have...

Log into your domain Control Panel and find the database icons. You should be able to find the phpMyAdmin icon. Click on it...

Image

Hopefully that will log you into your phpAdmin panel. You may need to provide a username and password...

In the phpMyAdmin panel, click on the Databases hyperlink...

Image

Hopefully that should take you where you can select your database. You may only have one. Select your database hyperlink...

Image

That should open up the display of all the tables in your database. Ignore them. Somewhere on the page, you should see something similar to this:

Image

Click on the phpbb_config table in the Left column navigation bar:

Image

Then on the top left of the right window, click on the Browse button:

Image

Then to display all the records, change the row settings to 500 starting with record 0, then press the Show button:

Image

Scroll down to the EM version field, then click on the little pencil icon next to the record to edit it:

Image

Enter the following into the config_value Value editbox. Any version less than your current version will work...

Code: Select all

0.1.13
Image

Then press the Go button. You should now be able to reinstall EM...

If you are still unclear on how to do this, send me a PM and I can probably reset your EM version for you...

Image
Last edited by Nightrider on Thu Aug 10, 2006 3:25 pm, edited 1 time in total.

digilevi
Posts: 8
Joined: Thu Aug 10, 2006 6:06 am

Re: @GP: Version Changer

Post by digilevi » Thu Aug 10, 2006 6:10 am

wheres the link?

Nightrider
Registered User
Posts: 7219
Joined: Tue Nov 16, 2004 8:54 pm
Location: Florida, US
Contact:

Re: @GP: Version Changer

Post by Nightrider » Thu Aug 10, 2006 3:27 pm

The link to the Version changer is up above in my message. Recent phpBB software upgrades turned all the bbcodes off for some strange reason. They should be working now though...

Image

User avatar
GPHemsley
Registered User
Posts: 1617
Joined: Fri Apr 18, 2003 4:01 am
Location: Long Beach, NY
Contact:

Re: @GP: Version Changer

Post by GPHemsley » Mon Aug 28, 2006 9:20 pm

There are multiple locations to get the EasyMOD Version Changer.

The easiest way may be to download it from an attachment in this topic. These link to Version 1.3, the latest version as of now.
ChangeLog
Attachment

You should also be able to download it from any one of these external websites (all run by me):
http://gphemsley.music-hq.net/phpBB/EasyMOD/ (Not working as of now)
http://www.music-hq.net/gphemsley/phpBB/EasyMOD/ (Currently the main site)
http://www.dnoyeb2002.ca/gphemsley/phpBB/EasyMOD/ (A mirror of the main site)

In the past, it was available here (the old URL for the main site), but that link has been superceded by one of the above. This is the link posted in the ChangeLog topic linked above. It currently 404s, so don't use it.

User avatar
GPHemsley
Registered User
Posts: 1617
Joined: Fri Apr 18, 2003 4:01 am
Location: Long Beach, NY
Contact:

Re: @GP: Version Changer

Post by GPHemsley » Fri Feb 09, 2007 2:46 am

Just a quick update about available links. The Music-HQ.net domain has been let go, so none of those links will function anymore. The new official site (originally mentioned as a mirror) is located at: http://www.dnoyeb2002.ca/gphemsley/phpBB/EasyMOD/. Or, the posts on the forums are always available: ChangeLog, Attachment.

Locked